package cn.superdesk.uniorder.dao.entity.thirdpart.qchjc.organisation;

import java.util.Date;

public class QchjcEnterpriseEntity {
    private Long id;

    private Long unifiedId;

    private String contactsAddress;

    private String contactsName;

    private String contactsPhone;

    private Integer deleted;

    private Integer enabled;

    private String virtId;

    private String virtName;

    private String createUserName;

    private String createUserId;

    private Date createTime;

    private String updateUserName;

    private Integer updateUserId;

    private Date updateTime;

    private Date syncTime;

    public QchjcEnterpriseEntity(Long id, Long unifiedId, String contactsAddress, String contactsName, String contactsPhone, Integer deleted, Integer enabled, String virtId, String virtName, String createUserName, String createUserId, Date createTime, String updateUserName, Integer updateUserId, Date updateTime, Date syncTime) {
        this.id = id;
        this.unifiedId = unifiedId;
        this.contactsAddress = contactsAddress;
        this.contactsName = contactsName;
        this.contactsPhone = contactsPhone;
        this.deleted = deleted;
        this.enabled = enabled;
        this.virtId = virtId;
        this.virtName = virtName;
        this.createUserName = createUserName;
        this.createUserId = createUserId;
        this.createTime = createTime;
        this.updateUserName = updateUserName;
        this.updateUserId = updateUserId;
        this.updateTime = updateTime;
        this.syncTime = syncTime;
    }

    public QchjcEnterpriseEntity() {
        super();
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUnifiedId() {
        return unifiedId;
    }

    public void setUnifiedId(Long unifiedId) {
        this.unifiedId = unifiedId;
    }

    public String getContactsAddress() {
        return contactsAddress;
    }

    public void setContactsAddress(String contactsAddress) {
        this.contactsAddress = contactsAddress == null ? null : contactsAddress.trim();
    }

    public String getContactsName() {
        return contactsName;
    }

    public void setContactsName(String contactsName) {
        this.contactsName = contactsName == null ? null : contactsName.trim();
    }

    public String getContactsPhone() {
        return contactsPhone;
    }

    public void setContactsPhone(String contactsPhone) {
        this.contactsPhone = contactsPhone == null ? null : contactsPhone.trim();
    }

    public Integer getDeleted() {
        return deleted;
    }

    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }

    public Integer getEnabled() {
        return enabled;
    }

    public void setEnabled(Integer enabled) {
        this.enabled = enabled;
    }

    public String getVirtId() {
        return virtId;
    }

    public void setVirtId(String virtId) {
        this.virtId = virtId == null ? null : virtId.trim();
    }

    public String getVirtName() {
        return virtName;
    }

    public void setVirtName(String virtName) {
        this.virtName = virtName == null ? null : virtName.trim();
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName == null ? null : createUserName.trim();
    }

    public String getCreateUserId() {
        return createUserId;
    }

    public void setCreateUserId(String createUserId) {
        this.createUserId = createUserId == null ? null : createUserId.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName == null ? null : updateUserName.trim();
    }

    public Integer getUpdateUserId() {
        return updateUserId;
    }

    public void setUpdateUserId(Integer updateUserId) {
        this.updateUserId = updateUserId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getSyncTime() {
        return syncTime;
    }

    public void setSyncTime(Date syncTime) {
        this.syncTime = syncTime;
    }
}